#!/usr/bin/env node
const { program, Command } = require('commander');
const command = require('./command');


program.version(require('../package.json').version, '-v, --vers', 'output the current version');

for (let key in command) {
  let com = command[key]
  let subCom = com.command ? program.command(com.command) : program
  subCom
    .usage(com.usage)
    .description(com.description)
    .action(function runAction() {
      com.func(arguments, {}, this.opts());
    });
  (com.arguments || [])
    .forEach(opt =>
      subCom.argument(opt.name, opt.description));
  (com.options || [])
    .forEach(opt =>
      subCom.option(
        opt.command,
        opt.description,
        opt.parse || (value => value),
        opt.default
      ));
}

program.parse(process.argv);

if (!program.args.length) {
  program.help();
}



