const path = require('path');
const fs = require('fs');
const { spawn } = require('child_process')

let configPath = path.join(process.cwd(), './appBundleConfig.json')

async function runConfig(args, config, options) {

    let { aliossUrl, aliossEndpoint, aliossBucketName, pushUpdate } = options
    console.log('options', options);
    let configJson = {}
    if (aliossUrl) {
        configJson.aliossUrl = aliossUrl
    }
    if (aliossEndpoint) {
        configJson.aliossEndpoint = aliossEndpoint
    }
    if (aliossBucketName) {
        configJson.aliossBucketName = aliossBucketName
    }
    if (pushUpdate) {
        configJson.pushUpdate = pushUpdate
    }
    setConfig(configJson)
}

function getConfig() {
    let configJson = {}
    if (fs.existsSync(configPath)) {
        let buffer = fs.readFileSync(configPath)
        configJson = JSON.parse(buffer.toString())
        console.log('读取configJson', configJson);
    }
    return configJson
}

function setConfig(con) {
    let configJson = getConfig()
    configJson = {
        ...configJson,
        ...con
    }
    console.log('设置configJson', configJson);
    fs.writeFileSync(configPath, JSON.stringify(configJson, null, 4))
}

module.exports = {
    configPath,
    runConfig,
    getConfig,
    setConfig,
}