const mkdirp = require('mkdirp');
const fs = require('fs');

function createFolder(folder) {
    return new Promise((resolve, reject) => {
        if (!folder) {
            resolve();
            return;
        }
        mkdirp(folder).then(() => {
            resolve()
        }).catch((e) => {
            reject(e)
        });
    });
}

function createFile(file,content) {
    return new Promise((resolve, reject) => {
        fs.writeFile(
            file,
            content,
            (err) => {
                if (err) {
                    return reject(err);
                }
                return resolve();
            }
        );
    });
}


module.exports = {
    createFolder,
    createFile
}